#!/usr/bin/python3
# /*
#  * Copyright (C) 2024-2025, KylinSoft Co., Ltd.
#  *
#  * This library is free software; you can redistribute it and/or
#  * modify it under the terms of the GNU Lesser General Public
#  * License as published by the Free Software Foundation; either
#  * version 3 of the License, or (at your option) any later version.
#  *
#  * This library is distributed in the hope that it will be useful,
#  * but WITHOUT ANY WARRANTY; without even the implied warranty of
#  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  * Lesser General Public License for more details.
#  *
#  * You should have received a copy of the GNU General Public License
#  * along with this library.  If not, see <https://www.gnu.org/licenses/>.
#  *
#  * Authors: Yunhe Liu <liuyunhe@kylinos.cn>
#  *
#  */
import os
import logging
import conf2Utils

os.makedirs('/etc/kylin-config', exist_ok=True)
logging.basicConfig(filename='/etc/kylin-config/systembus.log', 
                    level=logging.DEBUG, 
                    format='%(asctime)s.%(msecs)03d - %(name)s - %(levelname)s - %(message)s', 
                    datefmt='%Y-%m-%d %H:%M:%S')
logger = logging.getLogger()
converter = conf2Utils.converter(logger)

logger.info('update db start')
if not converter.update_read_only_db():
   logging.error('update db fail')
logger.info('update db end')
